function pattern = benchmark3DPatternExample(n_inputs)

% this code benchmarks metamodels according its precision and training
% speed, in order to compare its efficiency with the Advanced Gauss Process
% algorithm.





% generating clustered pattern sample
tic
fprintf('generating pattern\n');
n1=round(n_inputs^(1/3))+1;
n_inputs2 = n1^3;
input1 = zeros(n_inputs2,3);
output1 = zeros(n_inputs2,1);
count = 0;
cluste_ind = 0;
c1 = [0.166221952975055,-0.763729824723334,0.509075195096900;0.437735527520882,0.156394007154042,0.224228280804638;-0.50437236952928857,1.544938203579820,0.695033686243374];
r1 = [0.127895618620731;0.731250479821489;0.379200455026011];
for i=1:n1
    for j=1:n1
        for k=1:n1
            count = count +1;
            clust = ceil((i*3)/n1);
            alpha1 = rand*2*pi;
            coord1 = c1(clust,:)+r1(clust)*rand*[sin(alpha1),cos(alpha1),sin(alpha1)];
            input1(count,1:3) = coord1;
            
            x1 = input1(count,1);
            x2 = input1(count,2);
            x3 = input1(count,3);
            
            % modified ackley function
            y1 = -20*exp(-0.2*sqrt(0.5*(x1^2+x2^2)));
            y2 = -exp(0.5*cos(2*pi*x1)+cos(2*pi*x2));
            y3 = exp(1)+20+x3;
            output1(count,1) = y1+y2+y3;
        end
    end
end

% normalizing pattern
maxInput = max(max(input1));
minOutput = min(min(input1));
delta1 = maxInput-minOutput;
input1 = (input1-minOutput)/delta1;

maxOutput = max(max(output1));
minOutput = min(min(output1));
delta1 = maxOutput-minOutput;
output1 = (output1-minOutput)/delta1;

pattern.input = input1(1:n_inputs,:);
pattern.output = output1(1:n_inputs,:);

fprintf('pattern generation time: %2.3f sec \n\n',toc);













