function total_time = timeString(t2)
% creates a time string in HH:MM:SS from a SS vector


% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% %%%%% suppress on function
% %%%%% 
% 
% clear all
% clc
% 
% t2 =    34 * 24 * 3600 + ...    % days
%         5 * 3600 + ...          % hrs
%         23 * 60 + ...           % min
%         45;                     % sec
%     
% %%%%% suppress on function
% %%%%% 
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    


t_ds        = floor(t2/(24*3600));
hrs_in_sec  = mod(t2,(24*3600));
t_hr        = floor(hrs_in_sec/3600);
min_in_sec  = mod(hrs_in_sec,3600);
t_mn        = floor(min_in_sec/60);
t_sc        = mod(min_in_sec,60);

total_time = [];

if t_ds ~= 0
    total_time = [total_time,num2str(t_ds),' d,'];
end

if t_hr ~= 0
    total_time = [ total_time, num2str(t_hr),' h:'];
end

if t_mn ~= 0
    total_time = [ total_time, num2str(t_mn),' min '];
end
    
total_time = [ total_time, num2str(round(t_sc,2)),' sec'];

